SEARU.ORG
当前位置:SEARU.ORG > Linux 教程 > 正文

jose-php信息泄露漏洞(CVE-2016-5429)

jose-php信息泄露漏洞(CVE-2016-5429)

发布日期:2016-09-01
更新日期:2016-09-05

受影响系统:

jose-php jose-php < 2.2.1

描述:


CVE(CAN) ID: CVE-2016-5429

jose-php是适合于PHP的JSON对象签名及加密库。

jose-php 2.2.1之前版本,未使用HMAC对比的常量时间,远程攻击者通过定时攻击,可获取敏感信息。

<*来源:anonymous
  *>

建议:


厂商补丁:

jose-php
——–
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/nov/jose-php/commit/1cce55e27adf0274193eb1cd74b927a398a3df4b

https://github.com/nov/jose-php/commit/f03b986b4439e20b0fd635109b48afe96cf0099b

未经允许不得转载:SEARU.ORG » jose-php信息泄露漏洞(CVE-2016-5429)

赞 (0)
分享到:更多 ()

评论 0